# -*- coding: utf-8 -*-

import sys
import csv

class NgajCsv:
    def __init__(self, identifier, data, header):
        self.extractNgajSiteHeader = header["site"]
        self.extractNgajSiteData = data["site"]
        self.extractNgajSourceHeader = header["source"]
        self.extractNgajSourceData = data["source"]
        self.extractNgajSmrecHeader = header["smrec"]
        self.extractNgajSmrecData = data["smrec"]

    def outputAll(self, outputAllCsvFile):
        header = self.extractNgajSmrecHeader +\
                    self.extractNgajSiteHeader +\
                    self.extractNgajSourceHeader
        allData = []
        for smrec, site, source in zip (self.extractNgajSmrecData,\
                                        self.extractNgajSiteData,\
                                        self.extractNgajSourceData):
            allData.append(smrec + site + source)

        try:
            with open(outputAllCsvFile, 'w') as f:
                writer = csv.writer(f)
                writer.writerow(header)
                writer.writerows(allData)
        except Exception as e:
            print(str(e))
            sys.exit(1)

    def outputPart(self, outputSiteCsvFile, outputSourceCsvFile, outputSmrecCsvFile):
        try:
            with open(outputSiteCsvFile, 'w') as f:
                writer = csv.writer(f)
                writer.writerow(self.extractNgajSiteHeader)
                insertList = []
                for row in self.extractNgajSiteData:
                    row = [x if x is not None else '' for x in row]
                    strRow = "".join(row)
                    if strRow not in insertList and strRow != "":
                        writer.writerow(row)
                        insertList.append(strRow)
                    else:
                        continue
        except Exception as e:
            print(str(e))
            sys.exit(1)

        try:
            with open(outputSourceCsvFile, 'w') as f:
                writer = csv.writer(f)
                writer.writerow(self.extractNgajSourceHeader)
                insertList = []
                for row in self.extractNgajSourceData:
                    row = [x if x is not None else '' for x in row]
                    strRow = "".join(row)
                    if strRow not in insertList and strRow != "":
                        writer.writerow(row)
                        insertList.append(strRow)
                    else:
                        continue
        except Exception as e:
            print(str(e))
            sys.exit(1)

        try:
            with open(outputSmrecCsvFile, 'w') as f:
                writer = csv.writer(f)
                writer.writerow(self.extractNgajSmrecHeader)
                writer.writerows(self.extractNgajSmrecData)
        except Exception as e:
            print(str(e))
            sys.exit(1)
