# -*- coding: utf-8 -*-
import os
import sys
import pandas as pd


class NgajFlatFile:

    def __init__(self, sep='\t'):
        # separator of input flatfile
        self.sep = sep

    def make_schema(self,conn):
        base_dir = os.path.dirname(os.path.abspath(__file__))
        # for UTF-8
        conn.text_factory = str
        cur = conn.cursor()
        
        with open(base_dir + '/ngaj_schema.sql', 'rt') as f:
            schema = f.read()

        cur.executescript(schema)
        print("create table")
        return True

    def insert_table(self,conn,tablename,filename):
        dtypedict = {
            'eq_event_name':'str', 'siteid2':'str','nf_origin_time':'str',
            'segment_idx':'int8','eq_location_type_id':'int8','eq_location_type_id_source':'int8',
            'multiple':'bool'
        }
        row_count = 0
        print('load {}'.format(filename))
        reader = pd.read_csv(filename, delimiter=self.sep, dtype=dtypedict,chunksize=100000)
        print('insert table {}..'.format(tablename))
        for chunk in reader:
            if tablename == 'smrec':
                # add column siteid2 to smrec schema
                chunk['siteid2'] = chunk['site_id'].astype(str).str[0:-1].astype(int)
            chunk.to_sql(tablename,con=conn,index=False,if_exists='append')
            row_count += len(chunk)
            del chunk
        if 0 < row_count:
            print('  success, count: {}'.format(row_count))

        return row_count

