# -*- coding: utf-8 -*-

class NgajKeyType:
    # Num
    keyTypeNum = [
        "mjma",
        "jem_lat",
        "jem_lon",
        "jem_depth",
        "nf_lat",
        "nf_lon",
        "nf_depth",
        "mw",
        "strike1",
        "dip1",
        "rake1",
        "cmt_depth",
        "varred",
        "mxx",
        "mxy",
        "mxz",
        "myy",
        "myz",
        "mzz",
        "exp",
        "width",
        "length",
        "top_center_lat",
        "top_center_lon",
        "strike_deg",
        "dip_deg",
        "lat",
        "lon",
        "elevation",
        "sensor_depth_glminus",
        "dist_vf_mf13_nejapan",
        "dist_vf_mf13_swjapan",
        "vs10",
        "vs20",
        "vs30",
        "avs30",
        "d1100",
        "d1400",
        "d1700",
        "d2100",
        "dbase",
        "fault_dist",
        "h_top"
    ]
    # date
    keyTypeDate = [
        "jem_origin_time",
        "nf_origin_time",
        "start_date",
        "end_date"
    ]
    # id
    keyTypeId = [
        "obs_network_id",
        "eq_mechanism_type_id",
        "obs_network_id",
        "eq_location_type_id",
        "eq_location_type_id_source",
        "installation_situation_id"
    ]
    # name
    keyTypeName = [
        "eq_event_name",
        "site_code"
    ]
    # column name
    columnName = {
        "site":["site.siteid2", "start_date", "end_date", "site_code", "site_name",\
            "lon", "lat", "elevation", "sensor_depth_glminus", "obs_network_id",\
            "installation_situation_id", "dist_vf_mf13_nejapan", "dist_vf_mf13_swjapan",\
            "vs10", "vs20", "vs30", "meshcode250", "avs30", "meshcode3", "d1100",\
            "d1400", "d1700", "d2100", "dbase"],
        "source":["source.eq_source_id", "segment_idx", "jem_origin_time", "jem_lat", "jem_lon", "jem_depth",\
            "mjma", "eq_location_type_id", "nf_origin_time", "nf_lat", "nf_lon",\
            "nf_depth", "mw", "strike1", "dip1", "rake1", "eq_mechanism_type_id",\
            "cmt_depth", "varred", "mxx", "mxy", "mxz", "myy", "myz", "mzz", "exp",\
            "eq_event_name", "width", "source.length", "top_center_lat", "top_center_lon",\
            "strike_deg", "dip_deg", "h_top","eq_location_type_id_source"],
        "smrec":["smrec_id", "filebasename", "site_id", "smrec.siteid2", "smrec.eq_source_id", "smrec.length",\
            "samplefreq", "maxacc0", "maxacc1", "maxacc2", "maxaccrd000", "maxaccrd025",\
            "maxaccrd050", "maxaccrd075", "maxaccrd100", "maxvel0", "maxvel1", "maxvel2",\
            "maxvel0_filchb1", "maxvel1_filchb1", "maxvel2_filchb1",\
            "maxvelrd000", "maxvelrd025", "maxvelrd050", "maxvelrd075", "maxvelrd100",\
            "maxvelrd000_filchb1", "maxvelrd025_filchb1", "maxvelrd050_filchb1", "maxvelrd075_filchb1", "maxvelrd100_filchb1",\
            "maxaccv", "maxvelv","maxvelv_filchb1", "sival", "sindo", "rsaccc2d005t0002", "rsaccc2d005t0003",\
            "rsaccc2d005t0004", "rsaccc2d005t0005", "rsaccc2d005t0006", "rsaccc2d005t0007",\
            "rsaccc2d005t0008", "rsaccc2d005t0009", "rsaccc2d005t0010", "rsaccc2d005t0011",\
            "rsaccc2d005t0012", "rsaccc2d005t0013", "rsaccc2d005t0015", "rsaccc2d005t0020",\
            "rsaccc2d005t0022", "rsaccc2d005t0025", "rsaccc2d005t0030", "rsaccc2d005t0035",\
            "rsaccc2d005t0040", "rsaccc2d005t0045", "rsaccc2d005t0050", "rsaccc2d005t0060",\
            "rsaccc2d005t0070", "rsaccc2d005t0080", "rsaccc2d005t0090", "rsaccc2d005t0100",\
            "rsaccc2d005t0110", "rsaccc2d005t0120", "rsaccc2d005t0130", "rsaccc2d005t0150",\
            "rsaccc2d005t0170", "rsaccc2d005t0200", "rsaccc2d005t0220", "rsaccc2d005t0250",\
            "rsaccc2d005t0300", "rsaccc2d005t0350", "rsaccc2d005t0400", "rsaccc2d005t0450",\
            "rsaccc2d005t0500", "rsaccc2d005t0550", "rsaccc2d005t0600", "rsaccc2d005t0650",\
            "rsaccc2d005t0700", "rsaccc2d005t0750", "rsaccc2d005t0800", "rsaccc2d005t0850",\
            "rsaccc2d005t0900", "rsaccc2d005t0950", "rsaccc2d005t1000", "rsaccc2d005t1100",\
            "rsaccc2d005t1200", "rsaccc2d005t1300", "rsaccc2d005t1400", "rsaccc2d005t1500",\
            "rsaccc2d005t1600", "rsaccc2d005t1700", "rsaccc2d005t1800", "rsaccc2d005t1900",\
            "rsaccc2d005t2000", "rsaccrd000d005t0002", "rsaccrd025d005t0002",\
            "rsaccrd050d005t0002", "rsaccrd075d005t0002", "rsaccrd100d005t0002",\
            "rsaccrd000d005t0003", "rsaccrd025d005t0003", "rsaccrd050d005t0003",\
            "rsaccrd075d005t0003", "rsaccrd100d005t0003", "rsaccrd000d005t0004",\
            "rsaccrd025d005t0004", "rsaccrd050d005t0004", "rsaccrd075d005t0004",\
            "rsaccrd100d005t0004", "rsaccrd000d005t0005", "rsaccrd025d005t0005",\
            "rsaccrd050d005t0005", "rsaccrd075d005t0005", "rsaccrd100d005t0005",\
            "rsaccrd000d005t0006", "rsaccrd025d005t0006", "rsaccrd050d005t0006",\
            "rsaccrd075d005t0006", "rsaccrd100d005t0006", "rsaccrd000d005t0007",\
            "rsaccrd025d005t0007", "rsaccrd050d005t0007", "rsaccrd075d005t0007",\
            "rsaccrd100d005t0007", "rsaccrd000d005t0008", "rsaccrd025d005t0008",\
            "rsaccrd050d005t0008", "rsaccrd075d005t0008", "rsaccrd100d005t0008",\
            "rsaccrd000d005t0009", "rsaccrd025d005t0009", "rsaccrd050d005t0009",\
            "rsaccrd075d005t0009", "rsaccrd100d005t0009", "rsaccrd000d005t0010",\
            "rsaccrd025d005t0010", "rsaccrd050d005t0010", "rsaccrd075d005t0010",\
            "rsaccrd100d005t0010", "rsaccrd000d005t0011", "rsaccrd025d005t0011",\
            "rsaccrd050d005t0011", "rsaccrd075d005t0011", "rsaccrd100d005t0011",\
            "rsaccrd000d005t0012", "rsaccrd025d005t0012", "rsaccrd050d005t0012",\
            "rsaccrd075d005t0012", "rsaccrd100d005t0012", "rsaccrd000d005t0013",\
            "rsaccrd025d005t0013", "rsaccrd050d005t0013", "rsaccrd075d005t0013",\
            "rsaccrd100d005t0013", "rsaccrd000d005t0015", "rsaccrd025d005t0015",\
            "rsaccrd050d005t0015", "rsaccrd075d005t0015", "rsaccrd100d005t0015",\
            "rsaccrd000d005t0020", "rsaccrd025d005t0020", "rsaccrd050d005t0020",\
            "rsaccrd075d005t0020", "rsaccrd100d005t0020", "rsaccrd000d005t0022",\
            "rsaccrd025d005t0022", "rsaccrd050d005t0022", "rsaccrd075d005t0022",\
            "rsaccrd100d005t0022", "rsaccrd000d005t0025", "rsaccrd025d005t0025",\
            "rsaccrd050d005t0025", "rsaccrd075d005t0025", "rsaccrd100d005t0025",\
            "rsaccrd000d005t0030", "rsaccrd025d005t0030", "rsaccrd050d005t0030",\
            "rsaccrd075d005t0030", "rsaccrd100d005t0030", "rsaccrd000d005t0035",\
            "rsaccrd025d005t0035", "rsaccrd050d005t0035", "rsaccrd075d005t0035",\
            "rsaccrd100d005t0035", "rsaccrd000d005t0040", "rsaccrd025d005t0040",\
            "rsaccrd050d005t0040", "rsaccrd075d005t0040", "rsaccrd100d005t0040",\
            "rsaccrd000d005t0045", "rsaccrd025d005t0045", "rsaccrd050d005t0045",\
            "rsaccrd075d005t0045", "rsaccrd100d005t0045", "rsaccrd000d005t0050",\
            "rsaccrd025d005t0050", "rsaccrd050d005t0050", "rsaccrd075d005t0050",\
            "rsaccrd100d005t0050", "rsaccrd000d005t0060", "rsaccrd025d005t0060",\
            "rsaccrd050d005t0060", "rsaccrd075d005t0060", "rsaccrd100d005t0060",\
            "rsaccrd000d005t0070", "rsaccrd025d005t0070", "rsaccrd050d005t0070",\
            "rsaccrd075d005t0070", "rsaccrd100d005t0070", "rsaccrd000d005t0080",\
            "rsaccrd025d005t0080", "rsaccrd050d005t0080", "rsaccrd075d005t0080",\
            "rsaccrd100d005t0080", "rsaccrd000d005t0090", "rsaccrd025d005t0090",\
            "rsaccrd050d005t0090", "rsaccrd075d005t0090", "rsaccrd100d005t0090",\
            "rsaccrd000d005t0100", "rsaccrd025d005t0100", "rsaccrd050d005t0100",\
            "rsaccrd075d005t0100", "rsaccrd100d005t0100", "rsaccrd000d005t0110",\
            "rsaccrd025d005t0110", "rsaccrd050d005t0110", "rsaccrd075d005t0110",\
            "rsaccrd100d005t0110", "rsaccrd000d005t0120", "rsaccrd025d005t0120",\
            "rsaccrd050d005t0120", "rsaccrd075d005t0120", "rsaccrd100d005t0120",\
            "rsaccrd000d005t0130", "rsaccrd025d005t0130", "rsaccrd050d005t0130",\
            "rsaccrd075d005t0130", "rsaccrd100d005t0130", "rsaccrd000d005t0150",\
            "rsaccrd025d005t0150", "rsaccrd050d005t0150", "rsaccrd075d005t0150",\
            "rsaccrd100d005t0150", "rsaccrd000d005t0170", "rsaccrd025d005t0170",\
            "rsaccrd050d005t0170", "rsaccrd075d005t0170", "rsaccrd100d005t0170",\
            "rsaccrd000d005t0200", "rsaccrd025d005t0200", "rsaccrd050d005t0200",\
            "rsaccrd075d005t0200", "rsaccrd100d005t0200", "rsaccrd000d005t0220",\
            "rsaccrd025d005t0220", "rsaccrd050d005t0220", "rsaccrd075d005t0220",\
            "rsaccrd100d005t0220", "rsaccrd000d005t0250", "rsaccrd025d005t0250",\
            "rsaccrd050d005t0250", "rsaccrd075d005t0250", "rsaccrd100d005t0250",\
            "rsaccrd000d005t0300", "rsaccrd025d005t0300", "rsaccrd050d005t0300",\
            "rsaccrd075d005t0300", "rsaccrd100d005t0300", "rsaccrd000d005t0350",\
            "rsaccrd025d005t0350", "rsaccrd050d005t0350", "rsaccrd075d005t0350",\
            "rsaccrd100d005t0350", "rsaccrd000d005t0400", "rsaccrd025d005t0400",\
            "rsaccrd050d005t0400", "rsaccrd075d005t0400", "rsaccrd100d005t0400",\
            "rsaccrd000d005t0450", "rsaccrd025d005t0450", "rsaccrd050d005t0450",\
            "rsaccrd075d005t0450", "rsaccrd100d005t0450", "rsaccrd000d005t0500",\
            "rsaccrd025d005t0500", "rsaccrd050d005t0500", "rsaccrd075d005t0500",\
            "rsaccrd100d005t0500", "rsaccrd000d005t0550", "rsaccrd025d005t0550",\
            "rsaccrd050d005t0550", "rsaccrd075d005t0550", "rsaccrd100d005t0550",\
            "rsaccrd000d005t0600", "rsaccrd025d005t0600", "rsaccrd050d005t0600",\
            "rsaccrd075d005t0600", "rsaccrd100d005t0600", "rsaccrd000d005t0650",\
            "rsaccrd025d005t0650", "rsaccrd050d005t0650", "rsaccrd075d005t0650",\
            "rsaccrd100d005t0650", "rsaccrd000d005t0700", "rsaccrd025d005t0700",\
            "rsaccrd050d005t0700", "rsaccrd075d005t0700", "rsaccrd100d005t0700",\
            "rsaccrd000d005t0750", "rsaccrd025d005t0750", "rsaccrd050d005t0750",\
            "rsaccrd075d005t0750", "rsaccrd100d005t0750", "rsaccrd000d005t0800",\
            "rsaccrd025d005t0800", "rsaccrd050d005t0800", "rsaccrd075d005t0800",\
            "rsaccrd100d005t0800", "rsaccrd000d005t0850", "rsaccrd025d005t0850",\
            "rsaccrd050d005t0850", "rsaccrd075d005t0850", "rsaccrd100d005t0850",\
            "rsaccrd000d005t0900", "rsaccrd025d005t0900", "rsaccrd050d005t0900",\
            "rsaccrd075d005t0900", "rsaccrd100d005t0900", "rsaccrd000d005t0950",\
            "rsaccrd025d005t0950", "rsaccrd050d005t0950", "rsaccrd075d005t0950",\
            "rsaccrd100d005t0950", "rsaccrd000d005t1000", "rsaccrd025d005t1000",\
            "rsaccrd050d005t1000", "rsaccrd075d005t1000", "rsaccrd100d005t1000",\
            "rsaccrd000d005t1100", "rsaccrd025d005t1100", "rsaccrd050d005t1100",\
            "rsaccrd075d005t1100", "rsaccrd100d005t1100", "rsaccrd000d005t1200",\
            "rsaccrd025d005t1200", "rsaccrd050d005t1200", "rsaccrd075d005t1200",\
            "rsaccrd100d005t1200", "rsaccrd000d005t1300", "rsaccrd025d005t1300",\
            "rsaccrd050d005t1300", "rsaccrd075d005t1300", "rsaccrd100d005t1300",\
            "rsaccrd000d005t1400", "rsaccrd025d005t1400", "rsaccrd050d005t1400",\
            "rsaccrd075d005t1400", "rsaccrd100d005t1400", "rsaccrd000d005t1500",\
            "rsaccrd025d005t1500", "rsaccrd050d005t1500", "rsaccrd075d005t1500",\
            "rsaccrd100d005t1500", "rsaccrd000d005t1600", "rsaccrd025d005t1600",\
            "rsaccrd050d005t1600", "rsaccrd075d005t1600", "rsaccrd100d005t1600",\
            "rsaccrd000d005t1700", "rsaccrd025d005t1700", "rsaccrd050d005t1700",\
            "rsaccrd075d005t1700", "rsaccrd100d005t1700", "rsaccrd000d005t1800",\
            "rsaccrd025d005t1800", "rsaccrd050d005t1800", "rsaccrd075d005t1800",\
            "rsaccrd100d005t1800", "rsaccrd000d005t1900", "rsaccrd025d005t1900",\
            "rsaccrd050d005t1900", "rsaccrd075d005t1900", "rsaccrd100d005t1900",\
            "rsaccrd000d005t2000", "rsaccrd025d005t2000", "rsaccrd050d005t2000",\
            "rsaccrd075d005t2000", "rsaccrd100d005t2000",\
            "maxsvad005", "fault_dist", "lower_period", "upper_period", "multiple"]
    }
    columnNameAll = columnName["site"] + columnName["source"] + columnName["smrec"]
    segmentColumnName = ["segment_idx", "width", "source.length", "top_center_lat", "top_center_lon", "strike_deg", "dip_deg","h_top"]
    # Duplicate Column Namw
    duplicateColumnName = {"siteid2", "eq_source_id", "length"}
