CREATE TABLE "site" (
"siteid2" TEXT NOT NULL PRIMARY key,
  "start_date" TEXT,
  "end_date" TEXT,
  "site_code" TEXT,
  "site_name" TEXT,
  "lon" REAL,
  "lat" REAL,
  "elevation" INTEGER,
  "sensor_depth_glminus" INTEGER,
  "obs_network_id" INTEGER,
  "installation_situation_id" INTEGER,
  "dist_vf_mf13_nejapan" REAL,
  "dist_vf_mf13_swjapan" REAL,
  "vs10" REAL,
  "vs20" REAL,
  "vs30" REAL,
  "meshcode250" INTEGER,
  "avs30" REAL,
  "meshcode3" TEXT,
  "d1100" INTEGER,
  "d1400" INTEGER,
  "d1700" INTEGER,
  "d2100" INTEGER,
  "dbase" INTEGER
);

CREATE TABLE "source" (
  "eq_source_id" INTEGER NOT NULL,
  "segment_idx" INTEGER NOT NULL,
  "jem_origin_time" TEXT,
  "jem_lat" REAL,
  "jem_lon" REAL,
  "jem_depth" REAL,
  "mjma" REAL,
  "eq_location_type_id" INTEGER,
  "nf_origin_time" REAL,
  "nf_lat" REAL,
  "nf_lon" REAL,
  "nf_depth" REAL,
  "mw" REAL,
  "strike1" REAL,
  "dip1" REAL,
  "rake1" REAL,
  "eq_mechanism_type_id" REAL,
  "cmt_depth" REAL,
  "varred" REAL,
  "mxx" REAL,
  "mxy" REAL,
  "mxz" REAL,
  "myy" REAL,
  "myz" REAL,
  "mzz" REAL,
  "exp" REAL,
  "eq_event_name" TEXT,
  "width" REAL,
  "length" REAL,
  "top_center_lat" REAL,
  "top_center_lon" REAL,
  "strike_deg" REAL,
  "dip_deg" REAL,
  "h_top" REAL,
  "eq_location_type_id_source" INTEGER,
  PRIMARY KEY(eq_source_id,segment_idx)
);
CREATE TABLE "smrec" (
"smrec_id" INTEGER NOT NULL,
  "filebasename" TEXT,
  "site_id" TEXT NOT null,
  "siteid2" TEXT NOT null,
  "eq_source_id" INTEGER NOT null,
  "length" INTEGER,
  "samplefreq" REAL,
  "maxacc0" REAL,
  "maxacc1" REAL,
  "maxacc2" REAL,
  "maxaccrd000" REAL,
  "maxaccrd025" REAL,
  "maxaccrd050" REAL,
  "maxaccrd075" REAL,
  "maxaccrd100" REAL,
  "maxvel0" REAL,
  "maxvel1" REAL,
  "maxvel2" REAL,
  "maxvel0_filchb1" REAL,
  "maxvel1_filchb1" REAL,
  "maxvel2_filchb1" REAL,
  "maxvelrd000" REAL,
  "maxvelrd025" REAL,
  "maxvelrd050" REAL,
  "maxvelrd075" REAL,
  "maxvelrd100" REAL,
  "maxvelrd000_filchb1" REAL,
  "maxvelrd025_filchb1" REAL,
  "maxvelrd050_filchb1" REAL,
  "maxvelrd075_filchb1" REAL,
  "maxvelrd100_filchb1" REAL,
  "maxaccv" REAL,
  "maxvelv" REAL,
  "maxvelv_filchb1" REAL,
  "sival" REAL,
  "sindo" REAL,
  "rsaccc2d005t0002" REAL,
  "rsaccc2d005t0003" REAL,
  "rsaccc2d005t0004" REAL,
  "rsaccc2d005t0005" REAL,
  "rsaccc2d005t0006" REAL,
  "rsaccc2d005t0007" REAL,
  "rsaccc2d005t0008" REAL,
  "rsaccc2d005t0009" REAL,
  "rsaccc2d005t0010" REAL,
  "rsaccc2d005t0011" REAL,
  "rsaccc2d005t0012" REAL,
  "rsaccc2d005t0013" REAL,
  "rsaccc2d005t0015" REAL,
  "rsaccc2d005t0020" REAL,
  "rsaccc2d005t0022" REAL,
  "rsaccc2d005t0025" REAL,
  "rsaccc2d005t0030" REAL,
  "rsaccc2d005t0035" REAL,
  "rsaccc2d005t0040" REAL,
  "rsaccc2d005t0045" REAL,
  "rsaccc2d005t0050" REAL,
  "rsaccc2d005t0060" REAL,
  "rsaccc2d005t0070" REAL,
  "rsaccc2d005t0080" REAL,
  "rsaccc2d005t0090" REAL,
  "rsaccc2d005t0100" REAL,
  "rsaccc2d005t0110" REAL,
  "rsaccc2d005t0120" REAL,
  "rsaccc2d005t0130" REAL,
  "rsaccc2d005t0150" REAL,
  "rsaccc2d005t0170" REAL,
  "rsaccc2d005t0200" REAL,
  "rsaccc2d005t0220" REAL,
  "rsaccc2d005t0250" REAL,
  "rsaccc2d005t0300" REAL,
  "rsaccc2d005t0350" REAL,
  "rsaccc2d005t0400" REAL,
  "rsaccc2d005t0450" REAL,
  "rsaccc2d005t0500" REAL,
  "rsaccc2d005t0550" REAL,
  "rsaccc2d005t0600" REAL,
  "rsaccc2d005t0650" REAL,
  "rsaccc2d005t0700" REAL,
  "rsaccc2d005t0750" REAL,
  "rsaccc2d005t0800" REAL,
  "rsaccc2d005t0850" REAL,
  "rsaccc2d005t0900" REAL,
  "rsaccc2d005t0950" REAL,
  "rsaccc2d005t1000" REAL,
  "rsaccc2d005t1100" REAL,
  "rsaccc2d005t1200" REAL,
  "rsaccc2d005t1300" REAL,
  "rsaccc2d005t1400" REAL,
  "rsaccc2d005t1500" REAL,
  "rsaccc2d005t1600" REAL,
  "rsaccc2d005t1700" REAL,
  "rsaccc2d005t1800" REAL,
  "rsaccc2d005t1900" REAL,
  "rsaccc2d005t2000" REAL,
  "rsaccrd000d005t0002" REAL,
  "rsaccrd025d005t0002" REAL,
  "rsaccrd050d005t0002" REAL,
  "rsaccrd075d005t0002" REAL,
  "rsaccrd100d005t0002" REAL,
  "rsaccrd000d005t0003" REAL,
  "rsaccrd025d005t0003" REAL,
  "rsaccrd050d005t0003" REAL,
  "rsaccrd075d005t0003" REAL,
  "rsaccrd100d005t0003" REAL,
  "rsaccrd000d005t0004" REAL,
  "rsaccrd025d005t0004" REAL,
  "rsaccrd050d005t0004" REAL,
  "rsaccrd075d005t0004" REAL,
  "rsaccrd100d005t0004" REAL,
  "rsaccrd000d005t0005" REAL,
  "rsaccrd025d005t0005" REAL,
  "rsaccrd050d005t0005" REAL,
  "rsaccrd075d005t0005" REAL,
  "rsaccrd100d005t0005" REAL,
  "rsaccrd000d005t0006" REAL,
  "rsaccrd025d005t0006" REAL,
  "rsaccrd050d005t0006" REAL,
  "rsaccrd075d005t0006" REAL,
  "rsaccrd100d005t0006" REAL,
  "rsaccrd000d005t0007" REAL,
  "rsaccrd025d005t0007" REAL,
  "rsaccrd050d005t0007" REAL,
  "rsaccrd075d005t0007" REAL,
  "rsaccrd100d005t0007" REAL,
  "rsaccrd000d005t0008" REAL,
  "rsaccrd025d005t0008" REAL,
  "rsaccrd050d005t0008" REAL,
  "rsaccrd075d005t0008" REAL,
  "rsaccrd100d005t0008" REAL,
  "rsaccrd000d005t0009" REAL,
  "rsaccrd025d005t0009" REAL,
  "rsaccrd050d005t0009" REAL,
  "rsaccrd075d005t0009" REAL,
  "rsaccrd100d005t0009" REAL,
  "rsaccrd000d005t0010" REAL,
  "rsaccrd025d005t0010" REAL,
  "rsaccrd050d005t0010" REAL,
  "rsaccrd075d005t0010" REAL,
  "rsaccrd100d005t0010" REAL,
  "rsaccrd000d005t0011" REAL,
  "rsaccrd025d005t0011" REAL,
  "rsaccrd050d005t0011" REAL,
  "rsaccrd075d005t0011" REAL,
  "rsaccrd100d005t0011" REAL,
  "rsaccrd000d005t0012" REAL,
  "rsaccrd025d005t0012" REAL,
  "rsaccrd050d005t0012" REAL,
  "rsaccrd075d005t0012" REAL,
  "rsaccrd100d005t0012" REAL,
  "rsaccrd000d005t0013" REAL,
  "rsaccrd025d005t0013" REAL,
  "rsaccrd050d005t0013" REAL,
  "rsaccrd075d005t0013" REAL,
  "rsaccrd100d005t0013" REAL,
  "rsaccrd000d005t0015" REAL,
  "rsaccrd025d005t0015" REAL,
  "rsaccrd050d005t0015" REAL,
  "rsaccrd075d005t0015" REAL,
  "rsaccrd100d005t0015" REAL,
  "rsaccrd000d005t0020" REAL,
  "rsaccrd025d005t0020" REAL,
  "rsaccrd050d005t0020" REAL,
  "rsaccrd075d005t0020" REAL,
  "rsaccrd100d005t0020" REAL,
  "rsaccrd000d005t0022" REAL,
  "rsaccrd025d005t0022" REAL,
  "rsaccrd050d005t0022" REAL,
  "rsaccrd075d005t0022" REAL,
  "rsaccrd100d005t0022" REAL,
  "rsaccrd000d005t0025" REAL,
  "rsaccrd025d005t0025" REAL,
  "rsaccrd050d005t0025" REAL,
  "rsaccrd075d005t0025" REAL,
  "rsaccrd100d005t0025" REAL,
  "rsaccrd000d005t0030" REAL,
  "rsaccrd025d005t0030" REAL,
  "rsaccrd050d005t0030" REAL,
  "rsaccrd075d005t0030" REAL,
  "rsaccrd100d005t0030" REAL,
  "rsaccrd000d005t0035" REAL,
  "rsaccrd025d005t0035" REAL,
  "rsaccrd050d005t0035" REAL,
  "rsaccrd075d005t0035" REAL,
  "rsaccrd100d005t0035" REAL,
  "rsaccrd000d005t0040" REAL,
  "rsaccrd025d005t0040" REAL,
  "rsaccrd050d005t0040" REAL,
  "rsaccrd075d005t0040" REAL,
  "rsaccrd100d005t0040" REAL,
  "rsaccrd000d005t0045" REAL,
  "rsaccrd025d005t0045" REAL,
  "rsaccrd050d005t0045" REAL,
  "rsaccrd075d005t0045" REAL,
  "rsaccrd100d005t0045" REAL,
  "rsaccrd000d005t0050" REAL,
  "rsaccrd025d005t0050" REAL,
  "rsaccrd050d005t0050" REAL,
  "rsaccrd075d005t0050" REAL,
  "rsaccrd100d005t0050" REAL,
  "rsaccrd000d005t0060" REAL,
  "rsaccrd025d005t0060" REAL,
  "rsaccrd050d005t0060" REAL,
  "rsaccrd075d005t0060" REAL,
  "rsaccrd100d005t0060" REAL,
  "rsaccrd000d005t0070" REAL,
  "rsaccrd025d005t0070" REAL,
  "rsaccrd050d005t0070" REAL,
  "rsaccrd075d005t0070" REAL,
  "rsaccrd100d005t0070" REAL,
  "rsaccrd000d005t0080" REAL,
  "rsaccrd025d005t0080" REAL,
  "rsaccrd050d005t0080" REAL,
  "rsaccrd075d005t0080" REAL,
  "rsaccrd100d005t0080" REAL,
  "rsaccrd000d005t0090" REAL,
  "rsaccrd025d005t0090" REAL,
  "rsaccrd050d005t0090" REAL,
  "rsaccrd075d005t0090" REAL,
  "rsaccrd100d005t0090" REAL,
  "rsaccrd000d005t0100" REAL,
  "rsaccrd025d005t0100" REAL,
  "rsaccrd050d005t0100" REAL,
  "rsaccrd075d005t0100" REAL,
  "rsaccrd100d005t0100" REAL,
  "rsaccrd000d005t0110" REAL,
  "rsaccrd025d005t0110" REAL,
  "rsaccrd050d005t0110" REAL,
  "rsaccrd075d005t0110" REAL,
  "rsaccrd100d005t0110" REAL,
  "rsaccrd000d005t0120" REAL,
  "rsaccrd025d005t0120" REAL,
  "rsaccrd050d005t0120" REAL,
  "rsaccrd075d005t0120" REAL,
  "rsaccrd100d005t0120" REAL,
  "rsaccrd000d005t0130" REAL,
  "rsaccrd025d005t0130" REAL,
  "rsaccrd050d005t0130" REAL,
  "rsaccrd075d005t0130" REAL,
  "rsaccrd100d005t0130" REAL,
  "rsaccrd000d005t0150" REAL,
  "rsaccrd025d005t0150" REAL,
  "rsaccrd050d005t0150" REAL,
  "rsaccrd075d005t0150" REAL,
  "rsaccrd100d005t0150" REAL,
  "rsaccrd000d005t0170" REAL,
  "rsaccrd025d005t0170" REAL,
  "rsaccrd050d005t0170" REAL,
  "rsaccrd075d005t0170" REAL,
  "rsaccrd100d005t0170" REAL,
  "rsaccrd000d005t0200" REAL,
  "rsaccrd025d005t0200" REAL,
  "rsaccrd050d005t0200" REAL,
  "rsaccrd075d005t0200" REAL,
  "rsaccrd100d005t0200" REAL,
  "rsaccrd000d005t0220" REAL,
  "rsaccrd025d005t0220" REAL,
  "rsaccrd050d005t0220" REAL,
  "rsaccrd075d005t0220" REAL,
  "rsaccrd100d005t0220" REAL,
  "rsaccrd000d005t0250" REAL,
  "rsaccrd025d005t0250" REAL,
  "rsaccrd050d005t0250" REAL,
  "rsaccrd075d005t0250" REAL,
  "rsaccrd100d005t0250" REAL,
  "rsaccrd000d005t0300" REAL,
  "rsaccrd025d005t0300" REAL,
  "rsaccrd050d005t0300" REAL,
  "rsaccrd075d005t0300" REAL,
  "rsaccrd100d005t0300" REAL,
  "rsaccrd000d005t0350" REAL,
  "rsaccrd025d005t0350" REAL,
  "rsaccrd050d005t0350" REAL,
  "rsaccrd075d005t0350" REAL,
  "rsaccrd100d005t0350" REAL,
  "rsaccrd000d005t0400" REAL,
  "rsaccrd025d005t0400" REAL,
  "rsaccrd050d005t0400" REAL,
  "rsaccrd075d005t0400" REAL,
  "rsaccrd100d005t0400" REAL,
  "rsaccrd000d005t0450" REAL,
  "rsaccrd025d005t0450" REAL,
  "rsaccrd050d005t0450" REAL,
  "rsaccrd075d005t0450" REAL,
  "rsaccrd100d005t0450" REAL,
  "rsaccrd000d005t0500" REAL,
  "rsaccrd025d005t0500" REAL,
  "rsaccrd050d005t0500" REAL,
  "rsaccrd075d005t0500" REAL,
  "rsaccrd100d005t0500" REAL,
  "rsaccrd000d005t0550" REAL,
  "rsaccrd025d005t0550" REAL,
  "rsaccrd050d005t0550" REAL,
  "rsaccrd075d005t0550" REAL,
  "rsaccrd100d005t0550" REAL,
  "rsaccrd000d005t0600" REAL,
  "rsaccrd025d005t0600" REAL,
  "rsaccrd050d005t0600" REAL,
  "rsaccrd075d005t0600" REAL,
  "rsaccrd100d005t0600" REAL,
  "rsaccrd000d005t0650" REAL,
  "rsaccrd025d005t0650" REAL,
  "rsaccrd050d005t0650" REAL,
  "rsaccrd075d005t0650" REAL,
  "rsaccrd100d005t0650" REAL,
  "rsaccrd000d005t0700" REAL,
  "rsaccrd025d005t0700" REAL,
  "rsaccrd050d005t0700" REAL,
  "rsaccrd075d005t0700" REAL,
  "rsaccrd100d005t0700" REAL,
  "rsaccrd000d005t0750" REAL,
  "rsaccrd025d005t0750" REAL,
  "rsaccrd050d005t0750" REAL,
  "rsaccrd075d005t0750" REAL,
  "rsaccrd100d005t0750" REAL,
  "rsaccrd000d005t0800" REAL,
  "rsaccrd025d005t0800" REAL,
  "rsaccrd050d005t0800" REAL,
  "rsaccrd075d005t0800" REAL,
  "rsaccrd100d005t0800" REAL,
  "rsaccrd000d005t0850" REAL,
  "rsaccrd025d005t0850" REAL,
  "rsaccrd050d005t0850" REAL,
  "rsaccrd075d005t0850" REAL,
  "rsaccrd100d005t0850" REAL,
  "rsaccrd000d005t0900" REAL,
  "rsaccrd025d005t0900" REAL,
  "rsaccrd050d005t0900" REAL,
  "rsaccrd075d005t0900" REAL,
  "rsaccrd100d005t0900" REAL,
  "rsaccrd000d005t0950" REAL,
  "rsaccrd025d005t0950" REAL,
  "rsaccrd050d005t0950" REAL,
  "rsaccrd075d005t0950" REAL,
  "rsaccrd100d005t0950" REAL,
  "rsaccrd000d005t1000" REAL,
  "rsaccrd025d005t1000" REAL,
  "rsaccrd050d005t1000" REAL,
  "rsaccrd075d005t1000" REAL,
  "rsaccrd100d005t1000" REAL,
  "rsaccrd000d005t1100" REAL,
  "rsaccrd025d005t1100" REAL,
  "rsaccrd050d005t1100" REAL,
  "rsaccrd075d005t1100" REAL,
  "rsaccrd100d005t1100" REAL,
  "rsaccrd000d005t1200" REAL,
  "rsaccrd025d005t1200" REAL,
  "rsaccrd050d005t1200" REAL,
  "rsaccrd075d005t1200" REAL,
  "rsaccrd100d005t1200" REAL,
  "rsaccrd000d005t1300" REAL,
  "rsaccrd025d005t1300" REAL,
  "rsaccrd050d005t1300" REAL,
  "rsaccrd075d005t1300" REAL,
  "rsaccrd100d005t1300" REAL,
  "rsaccrd000d005t1400" REAL,
  "rsaccrd025d005t1400" REAL,
  "rsaccrd050d005t1400" REAL,
  "rsaccrd075d005t1400" REAL,
  "rsaccrd100d005t1400" REAL,
  "rsaccrd000d005t1500" REAL,
  "rsaccrd025d005t1500" REAL,
  "rsaccrd050d005t1500" REAL,
  "rsaccrd075d005t1500" REAL,
  "rsaccrd100d005t1500" REAL,
  "rsaccrd000d005t1600" REAL,
  "rsaccrd025d005t1600" REAL,
  "rsaccrd050d005t1600" REAL,
  "rsaccrd075d005t1600" REAL,
  "rsaccrd100d005t1600" REAL,
  "rsaccrd000d005t1700" REAL,
  "rsaccrd025d005t1700" REAL,
  "rsaccrd050d005t1700" REAL,
  "rsaccrd075d005t1700" REAL,
  "rsaccrd100d005t1700" REAL,
  "rsaccrd000d005t1800" REAL,
  "rsaccrd025d005t1800" REAL,
  "rsaccrd050d005t1800" REAL,
  "rsaccrd075d005t1800" REAL,
  "rsaccrd100d005t1800" REAL,
  "rsaccrd000d005t1900" REAL,
  "rsaccrd025d005t1900" REAL,
  "rsaccrd050d005t1900" REAL,
  "rsaccrd075d005t1900" REAL,
  "rsaccrd100d005t1900" REAL,
  "rsaccrd000d005t2000" REAL,
  "rsaccrd025d005t2000" REAL,
  "rsaccrd050d005t2000" REAL,
  "rsaccrd075d005t2000" REAL,
  "rsaccrd100d005t2000" REAL,
  "maxsvad005" REAL,
  "fault_dist" REAL,
  "lower_period" REAL,
  "upper_period" REAL,
  "multiple" INTEGER,
  PRIMARY KEY(smrec_id,eq_source_id,site_id),
  FOREIGN KEY(eq_source_id) REFERENCES source(eq_source_id),
  FOREIGN KEY(siteid2) REFERENCES site(siteid2)
);