# -*- coding: utf-8 -*-

import argparse
import os
import sys

from lib.ngajDB import NgajDB
from lib.ngajCsv import NgajCsv
from lib.ngajKeyType import NgajKeyType
from lib.ngajConfig import NgajConfig

def __args():
    parser = argparse.ArgumentParser(description='データベースのヘッダをテーブルごとに出力します。')
    parser.add_argument('--db', help="データベースファイル名", required=True)
    return parser.parse_args()

if __name__ == '__main__':
    parsed = __args()

    print("--db:{}".format(parsed.db))

    if parsed.db:
        dbfile = str(parsed.db)

    if not os.path.isfile(dbfile):
        print("Database file is not found:{}".format(dbfile))
        sys.exit(1)

    ndb = NgajDB(dbfile)
    ndb.selectHeader()
    header = ndb.getHeader()

    for key in header:
        print("{}:".format(key))
        for i, item in enumerate(header[key]):
            if i != 0:
                print(",", end='')
            print(item, end='')
        print('\n')
